import type { AgentMessage } from '../../AgentMessage';
import type { FeatureQueryOptions, Feature } from '../../models';
import type { ConnectionRecord } from '../connections';
import type { BaseEvent } from '@credo-ts/core';
export declare enum DiscoverFeaturesEventTypes {
    QueryReceived = "QueryReceived",
    DisclosureReceived = "DisclosureReceived"
}
export interface DiscoverFeaturesQueryReceivedEvent extends BaseEvent {
    type: typeof DiscoverFeaturesEventTypes.QueryReceived;
    payload: {
        message: AgentMessage;
        queries: FeatureQueryOptions[];
        protocolVersion: string;
        connection: ConnectionRecord;
        threadId: string;
    };
}
export interface DiscoverFeaturesDisclosureReceivedEvent extends BaseEvent {
    type: typeof DiscoverFeaturesEventTypes.DisclosureReceived;
    payload: {
        message: AgentMessage;
        disclosures: Feature[];
        protocolVersion: string;
        connection: ConnectionRecord;
        threadId: string;
    };
}
