import type { OutOfBandState } from './OutOfBandState';
import type { ConnectionRecord } from '../../connections';
import type { OutOfBandRecord } from '../repository';
import type { BaseEvent } from '@credo-ts/core';
export declare enum OutOfBandEventTypes {
    OutOfBandStateChanged = "OutOfBandStateChanged",
    HandshakeReused = "HandshakeReused"
}
export interface OutOfBandStateChangedEvent extends BaseEvent {
    type: typeof OutOfBandEventTypes.OutOfBandStateChanged;
    payload: {
        outOfBandRecord: OutOfBandRecord;
        previousState: OutOfBandState | null;
    };
}
export interface HandshakeReusedEvent extends BaseEvent {
    type: typeof OutOfBandEventTypes.HandshakeReused;
    payload: {
        reuseThreadId: string;
        outOfBandRecord: OutOfBandRecord;
        connectionRecord: ConnectionRecord;
    };
}
